<?php
#by FeST
#ICQ : 3452223

# Пишем свои инклюды
include_once 'inc/start.php';
include_once 'inc/head.php';
#########################




include_once 'inc/fun.php';
if(isset($_GET['sql_ok']))
echo "<div class='msg'>MySQL запрос успешно выполнен!</div>";
if(isset($_GET['sql_no']))
echo "<div class='err'>MySQL запрос не выполнен!</div>";


echo "<div class='post_1'><center><img src='i/logo.png' /><br/>
<a href='index.php'><img src='i/home.png' /></a>
<a href='sql.php'><img src='i/sql.png' /></a>
<a href='about.php'><img src='i/info.png' /></a>
<a href='exit.php'><img src='i/exit.png' /></a>
<br/>
by <a href='http://dcms.su/profile.view.php?id=8344'><b>FeST</b></a> v 2.0</center></div>
<div class='post_0'>
<a href='index.php'>Таблицы</a>|<b>MySQL</b>|<a href='backup.php'>Бекап</a><br/>";

if(!$_SESSION['php_password'] || $_SESSION['php_password']!=$set_password)
include_once 'inc/no_aut.php';
else
{


	



echo "</div>";
if(isset($_GET['file'])){
include_once 'inc/sql.php';
exit;
}

if (isset($_GET['set']) && $_GET['set']=='set' && isset($_POST['query']))
{
$sql=trim($_POST['query']);

$sql=split(";(\n|\r)*",$sql);





$k_z=0; $k_z_ok=0;
for ($i=0;$i<count($sql);$i++)
{
if ($sql[$i]!=''){
$k_z++;
if(mysql_query($sql[$i]))
{
$k_z_ok++;
}}}
if ($k_z_ok>0)
{
if ($k_z_ok==1 && $k_z=1)
mes_sql("Запрос успешно выполнен");
else
mes_sql("Выполнено $k_z_ok запросов из $k_z");



}
}

echo "<a href='sql.php?file'>Выполнить запрос с файла</a><br/>";

echo "<form method=\"post\" action=\"sql.php?set=set\">\n";
echo "<textarea name=\"query\" ></textarea><br />\n";
echo "<input value=\"Выполнить\" type=\"submit\" />\n";
echo "</form>\n";

}
include_once 'inc/foot.php';
?>
